Bug 426205 - Evolution can't import non-local files
Evolution can't import non-local files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 05:53 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-19 05:53:17 EST
Description of problem:

I attempted to import an iCal file that resides on DAV. While the gnome open
dialog let me choose dav:// gnome-vfs url, after clicking "Ok" the file name in
the dialog was "(None)" and I couldn't proceed.

Version-Release number of selected component (if applicable):

evolution-2.12.2-2.fc8

Expected results:

Being able to read files from arbitrary Gnome VFS location
Comment 1 Matthew Barnes 2007-12-19 08:09:46 EST
Sounds like perhaps a gnome-vfs or GTK+ issue.  Can you open the file with an
open dialog in a different application, say GEdit?
Comment 2 Lubomir Kundrak 2007-12-19 08:54:26 EST
Matthew: Yes. I only tried with gnomevfs-cat before, but gedit opens the file
just fine. Do you have a WebDAV server set up to try that yourself, or would it
be of any use if I made a directory/account on my server for you to test it?

By the way, is there any chance Evolution will be able to work with ICS files
just like any other application -- i.e. open&save repeatedly instead of
import&export by hand each time the calendar changes?
Comment 3 Matthew Barnes 2007-12-19 09:53:37 EST
(In reply to comment #2)
> Matthew: Yes. I only tried with gnomevfs-cat before, but gedit opens the file
> just fine. Do you have a WebDAV server set up to try that yourself, or would it
> be of any use if I made a directory/account on my server for you to test it?

Yeah, that would be quite helpful.  I'm not very WebDAV-savy yet.


> By the way, is there any chance Evolution will be able to work with ICS files
> just like any other application -- i.e. open&save repeatedly instead of
> import&export by hand each time the calendar changes?

Not sure I understand.  Why do you have to import/export by hand?
Comment 4 Lubomir Kundrak 2007-12-19 10:19:00 EST
try importing dav://chuck.netbsd.sk/dav/test.ics
name: test
password: test

> Not sure I understand.  Why do you have to import/export by hand?

It might be that I just do not understand something or am not aware of a
feature. Let's say I have a calendar in an ICS file (possibly on gnome vfs) and
want to use it in evolution, be able to change it in evolution and synchronize
the changes with the ICS file each time I change it comfortably. (So other tools
that read the ICS always have an up-to-date copy).

I've only been able to import the file in evolution, and export it whenever I
wanted the results in ICS.
Comment 5 Matthew Barnes 2007-12-19 11:48:40 EST
(In reply to comment #4)
> try importing dav://chuck.netbsd.sk/dav/test.ics

I tried and Evolution hung waiting for a response.
I'll take a closer look again later.


> It might be that I just do not understand something or am not aware of a
> feature. Let's say I have a calendar in an ICS file (possibly on gnome vfs) and
> want to use it in evolution, be able to change it in evolution and synchronize
> the changes with the ICS file each time I change it comfortably. (So other tools
> that read the ICS always have an up-to-date copy).
> 
> I've only been able to import the file in evolution, and export it whenever I
> wanted the results in ICS.

I think that's what CalDAV is for, isn't it?
Comment 6 Lubomir Kundrak 2007-12-19 14:00:59 EST
(In reply to comment #5)
> (In reply to comment #4)
> > try importing dav://chuck.netbsd.sk/dav/test.ics
> 
> I tried and Evolution hung waiting for a response.
> I'll take a closer look again later.

Uff. Did you try opening it with gnomevfs-cat?

> > It might be that I just do not understand something or am not aware of a
> > feature. Let's say I have a calendar in an ICS file (possibly on gnome vfs) and
> > want to use it in evolution, be able to change it in evolution and synchronize
> > the changes with the ICS file each time I change it comfortably. (So other tools
> > that read the ICS always have an up-to-date copy).
> > 
> > I've only been able to import the file in evolution, and export it whenever I
> > wanted the results in ICS.
> 
> I think that's what CalDAV is for, isn't it?

Partly. Anyways, do we have a CalDAV server in Fedora? Or does even a decent one
exist?
Comment 7 Matthew Barnes 2007-12-19 14:22:49 EST
> Uff. Did you try opening it with gnomevfs-cat?

That worked okay.  I'll try again with Evolution.


> Partly. Anyways, do we have a CalDAV server in Fedora? Or does even a decent one
> exist?

Not that I'm aware of; I was trying to find something suitable for client-side
testing earlier.  I think our shiny new Zimbra server is supposed to get CalDAV
support soon.
Comment 8 Lubomir Kundrak 2008-01-15 08:29:38 EST
Did you by chance find time to look at this? I just tried with rawhide and got
the exactly same behavior, i.e. no crash, just inability to open the file.
Comment 9 Lubomir Kundrak 2008-02-18 11:51:22 EST
ping
Comment 10 Matthew Barnes 2008-02-18 13:56:35 EST
Haven't had time to look at this again yet but it's on my list.
Comment 12 Bug Zapper 2008-11-26 04:04:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 00:33:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Matthew Barnes 2009-01-09 08:09:00 EST
Reopening and setting version to Rawhide.

I was reminded of this last night while I was fixing a different importer bug.
Comment 15 Bug Zapper 2009-06-09 05:23:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-04-27 07:51:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 06:30:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.